'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

class GraphProvider extends _react.Component {

	getChildContext() {
		return { graph: this.graph };
	}

	constructor(props, context) {
		super(props, context);
		const { store, root, schema } = props;
		this.graph = { store, root, schema };
	}

	render() {
		return _react.Children.only(this.props.children);
	}
}
exports.default = GraphProvider;
GraphProvider.propTypes = {
	store: _react.PropTypes.object.isRequired,
	schema: _react.PropTypes.object.isRequired,
	root: _react.PropTypes.object.isRequired,
	children: _react.PropTypes.element.isRequired
};
GraphProvider.childContextTypes = {
	graph: _react.PropTypes.object.isRequired
};