'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.refreshWhenExpired = exports.refreshByUid = undefined;

var _selectors = require('../redux/selectors');

var _actions = require('../redux/actions');

const refreshByUid = exports.refreshByUid = (store, uid, type, options, triggerRequest) => {
	const state = store.getState();
	const request = (0, _selectors.getRequest)(state, uid, type, options);
	if (!request) {
		store.dispatch((0, _actions.addRequest)(uid, type, options));
		triggerRequest();
	}
};

const refreshWhenExpired = exports.refreshWhenExpired = (store, type, options, timeout, triggerRequest) => {
	const state = store.getState();
	const request = (0, _selectors.getRequestIgnoringUid)(state, type, options);
	const refresh = !request || Date.now() - request.createdAt >= timeout;

	if (refresh) {
		if (request) {
			store.dispatch((0, _actions.removeRequest)(request.uid, type, options));
		}
		store.dispatch((0, _actions.addRequest)('', type, options));
		triggerRequest();
	}
};