'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.addRequest = addRequest;
exports.removeRequest = removeRequest;
exports.clearRequests = clearRequests;
const GRAPH_RESOLVER_REQUEST_ADD = exports.GRAPH_RESOLVER_REQUEST_ADD = 'GRAPH_RESOLVER_REQUEST_ADD';
const GRAPHQL_RESOLVER_REQUEST_CLEAR = exports.GRAPHQL_RESOLVER_REQUEST_CLEAR = 'GRAPHQL_RESOLVER_REQUEST_CLEAR';
const GRAPH_RESOLVER_REQUEST_REMOVE = exports.GRAPH_RESOLVER_REQUEST_REMOVE = 'GRAPH_RESOLVER_REQUEST_REMOVE';

function addRequest(uid, type, options = {}) {
	const createdAt = Date.now();

	return {
		type: GRAPH_RESOLVER_REQUEST_ADD,
		payload: {
			uid,
			type,
			options,
			createdAt
		}
	};
}

function removeRequest(uid, type, options = {}) {
	return {
		type: GRAPH_RESOLVER_REQUEST_REMOVE,
		payload: {
			uid,
			type,
			options
		}
	};
}

function clearRequests(uid) {
	return {
		type: GRAPHQL_RESOLVER_REQUEST_CLEAR,
		payload: uid
	};
}