'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _lodash = require('lodash');

var _actions = require('./actions');

const handleAdd = (state, { payload: { uid, type, options, createdAt } }) => {
	const optionsSerialization = JSON.stringify(options);
	return _extends({}, state, {
		[uid]: [...(state[uid] ? state[uid] : []), { type, options: optionsSerialization, createdAt }]
	});
};

const handleRemove = (state, { payload: { uid, type, options } }) => {
	const optionsSerialization = JSON.stringify(options);
	return _extends({}, state, {
		[uid]: (0, _lodash.filter)(state[uid], request => {
			return request.type !== type || request.options !== optionsSerialization;
		})
	});
};

const handleClear = (state, { payload: uid }) => {
	return (0, _lodash.omit)(state, [uid]);
};

const reducer = (state = {}, action) => {
	switch (action.type) {
		case _actions.GRAPH_RESOLVER_REQUEST_ADD:
			return handleAdd(state, action);
		case _actions.GRAPH_RESOLVER_REQUEST_REMOVE:
			return handleRemove(state, action);
		case _actions.GRAPHQL_RESOLVER_REQUEST_CLEAR:
			return handleClear(state, action);
		default:
			return state;
	}
};

exports.default = reducer;